Bug 42698 - WebKitTestRunner needs layoutTestController.setAppCacheMaximumSize
Summary: WebKitTestRunner needs layoutTestController.setAppCacheMaximumSize
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2010-07-20 15:17 PDT by Sam Weinig
Modified: 2011-09-30 10:25 PDT (History)
3 users (show)

See Also:


Attachments
patch (12.58 KB, patch)
2011-09-29 10:52 PDT, qi
no flags Details | Formatted Diff | Diff
patch2 (12.57 KB, patch)
2011-09-29 11:07 PDT, qi
no flags Details | Formatted Diff | Diff
patch3 (12.66 KB, patch)
2011-09-30 07:08 PDT, qi
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sam Weinig 2010-07-20 15:17:30 PDT
WebKitTestRunner needs layoutTestController.setAppCacheMaximumSize
Comment 1 Sam Weinig 2010-07-20 15:30:58 PDT
<rdar://problem/8213838>
Comment 2 qi 2011-09-29 10:52:41 PDT
Created attachment 109175 [details]
patch

1. Implemented layoutTestController.setAppCacheMaximumSize.
2. To keep the test result consistent, implemented layoutTestController.clearApplicationCache and call clearApplicationCache() when layoutTest startup.
Comment 3 WebKit Review Bot 2011-09-29 10:55:27 PDT
Attachment 109175 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'LayoutTests/ChangeLog', u'LayoutTests/plat..." exit_code: 1

Tools/WebKitTestRunner/InjectedBundle/LayoutTestController.h:130:  The parameter name "size" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit2/WebProcess/InjectedBundle/InjectedBundle.h:128:  The parameter name "size" adds no information, so it should be removed.  [readability/parameter_name] [5]
Total errors found: 2 in 13 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 4 qi 2011-09-29 11:07:02 PDT
Created attachment 109178 [details]
patch2

Fix style issue.
Comment 5 Andreas Kling 2011-09-29 13:19:04 PDT
Comment on attachment 109178 [details]
patch2

View in context: https://bugs.webkit.org/attachment.cgi?id=109178&action=review

> Source/WebKit2/WebProcess/ApplicationCache/WebApplicationCacheManager.cpp:104
> +    cacheStorage().setMaximumSize(size);

Shouldn't this be guarded by a termination disabler?
Comment 6 qi 2011-09-30 07:08:32 PDT
Created attachment 109296 [details]
patch3

Based on Kling's comments make a change.
Comment 7 Andreas Kling 2011-09-30 09:21:11 PDT
Comment on attachment 109296 [details]
patch3

LGTM.
Comment 8 WebKit Review Bot 2011-09-30 10:25:22 PDT
Comment on attachment 109296 [details]
patch3

Clearing flags on attachment: 109296

Committed r96405: <http://trac.webkit.org/changeset/96405>
Comment 9 WebKit Review Bot 2011-09-30 10:25:27 PDT
All reviewed patches have been landed.  Closing bug.